String#size versus String#length

03/17/2014 04:01 PM - Anonymous

Status: Rejected   

Priority: Normal   

Assignee:    

Target version:    

Description

Hi guys !

A quick idea for the next major version :

String#size => bytes length

String#length => chars length

Could this be a good move or too much BC break ?

History

#1 - 03/17/2014 05:49 PM - marcandre (Marc-Andre Lafortune)

It would probably cause a lot of breakage.

More importantly, why would it be an improvement? What's wrong with using String#bytesize in the rare case where you actually want the byte

length?

#2 - 07/26/2014 03:54 PM - Anonymous

-1, #size is good enough.

#3 - 07/26/2014 05:09 PM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Feedback

Why size in bytes and length in chars, not vice versa?

#4 - 06/12/2015 08:38 AM - matz (Yukihiro Matsumoto)

- Status changed from Feedback to Rejected

Rejected. It's too confusing.

Matz.
